Bug 614158 - [abrt] crash in xfce4-xkb-plugin-0.5.3.3-3.fc13: xkb_util_get_flag_filename: Process /usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin was killed by signal 6 (SIGABRT)
[abrt] crash in xfce4-xkb-plugin-0.5.3.3-3.fc13: xkb_util_get_flag_filename: ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-xkb-plugin (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:0a0cc5f80ec6f00756d9b59b586...
:
: 662709 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-13 14:55 EDT by Konstantin Svist
Modified: 2011-06-02 15:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: xfce4-xkb-plugin-0.5.4.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 15:03:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.20 KB, text/plain)
2010-07-13 14:55 EDT, Konstantin Svist
no flags Details

  None (edit)
Description Konstantin Svist 2010-07-13 14:55:54 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin socket_id 18874413 name xkb-plugin id 12760510342 display_name 'Keyboard Layouts' size 50 screen_position 11
component: xfce4-xkb-plugin
crash_function: xkb_util_get_flag_filename
executable: /usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin
global_uuid: 0a0cc5f80ec6f00756d9b59b5869c1489d1ba1cd
kernel: 2.6.33.6-147.fc13.i686
package: xfce4-xkb-plugin-0.5.3.3-3.fc13
rating: 4
reason: Process /usr/libexec/xfce4/panel-plugins/xfce4-xkb-plugin was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
Comment 1 Konstantin Svist 2010-07-13 14:55:58 EDT
Created attachment 431557 [details]
File: backtrace
Comment 2 Konstantin Svist 2010-08-25 13:58:40 EDT
update: crash fixed after I selected a keyboard in the settings window (selected "evdev-managed keyboard")
Comment 3 Christoph Wickert 2010-11-25 19:41:12 EST
Does this mean the plugin *always* crashes if you are using the default settings and haven't selected a particular keyboard? Isn't "evdev-managed keyboard" selected automatically? Can you please test this with a fresh user profile?

You also might want to test the update from 
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.3.3-4.fc13
Comment 4 Konstantin Svist 2010-12-01 17:11:45 EST
Correct:
* every time none is selected, the plugin crashes when I press Close
* very often when I open the preferences dialog, there is no keyboard model selected. Just now I opened it and it had none selected. I selected Dell Laptop/notebook Inspiron 6xxx/8xxx (BTW, "evdev-managed" is no longer a listed option). Closed and reopened - the selection is still there. I suspect that after a reboot it won't be there anymore.

Will try the update asap
Comment 5 Christoph Wickert 2010-12-13 12:22:29 EST
*** Bug 662709 has been marked as a duplicate of this bug. ***
Comment 6 Petr Široký 2011-04-01 08:29:10 EDT
Package: xfce4-xkb-plugin-0.5.3.3-4.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I just unpluged the keyboard ant the applet crashed.
2.
3.


Comment
-----
Not sure If its relevant, but  the keyboad is MS  Natural Ergonomic 4000 (USB)
Comment 7 Fedora Update System 2011-05-25 15:59:16 EDT
xfce4-xkb-plugin-0.5.4.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.4.1-1.fc15
Comment 8 Fedora Update System 2011-05-26 17:51:36 EDT
Package xfce4-xkb-plugin-0.5.4.1-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfce4-xkb-plugin-0.5.4.1-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.4.1-1.fc15
then log in and leave karma (feedback).
Comment 9 Bug Zapper 2011-06-01 10:00:28 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora Update System 2011-06-02 15:02:51 EDT
xfce4-xkb-plugin-0.5.4.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.